/*Start global*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

@font-face {
  font-family: "helmetregular";
  src: url("helmet-regular-webfont.woff2") format("woff2"),
    url("helmet-regular-webfont.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}

html {
  font-size: 10px;
  font-family: "Roboto", sans-serif;
  color: #666;
  overflow-x: hidden;
  max-width: 100%;
}
body {
  width: 100%;
  height: 100%;
  background-size: cover;
  overflow-x: hidden;
  max-width: 100%;
}

section {
  padding: 6rem 0;
}

a {
  text-decoration: none;
  color: #eee;
}

p {
  font-size: 1.8rem;
  font-weight: 300;
}

img {
  width: 100%;
}

/*End global*/

.section-privacy {
    width: 80%;
    max-width: 76rem;
    height: 100%;
    margin: 0 auto;
    position: relative;
}

.section-privacy-heading {

  font-size: 2rem;
}


#logo-title {
  display: block;
  margin-left: auto;
  margin-right: auto;
  padding-top: 2rem; 
  width: 20rem;
  height: 20rem;
}

#logo {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.text-link {
  font-size: 1.4rem;
  text-align: center;
  align-items: center;
  justify-content: center;
  display: flex;
}

.cookie-container {
  width: 100%;
  margin: auto;
}

.sub-cookie-container {
  width: 100%;
  margin: auto;
}

#cookies {
  width: 100%;
  position: fixed;
  bottom: 0;
  color: white;
  background-color: rgb(31, 31, 31, 0.95);
  z-index: 1;
  display: none;
}

.cookies {
  min-height: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
}


.cookies a {
  text-align: center;
  color: rgb(126, 150, 153, 1);
  /* color: rgb(84, 100, 102, 1); */
  text-decoration: none;
}

.cookies p {
  font-size: 1.6rem;
}

#cookies-btn {
  border-radius: 5px;
  padding: 0.6rem 1.5rem 0.6rem 1.5rem;
  font-size: 1.5rem;
  cursor: pointer;
  border: 3px solid rgb(42, 50, 51, 1);
  background-color: rgb(42, 50, 51, 0.1);
  color: white;
}

/*Start reusable*/
.container {
  width: 80%;
  max-width: 120rem;
  height: 100%;
  margin: 0 auto;
  position: relative;
}

.section-heading {
  text-align: center;
  margin-bottom: 4rem;
}

.section-heading h1 {
  font-size: 3.5rem;
  color: #666;
  text-transform: uppercase;
  font-weight: 300;
  position: relative;
  margin-bottom: 1rem;
}

.section-heading h1::before,
.section-heading h1::after {
  content: "";
  position: absolute;
  bottom: -0.5rem;
  left: 50%;
  transform: translateX(-50%);
  background-color: #666;
}

.section-heading h1::before {
  width: 10rem;
  height: 3px;
  border-radius: 0.8rem;
}

.section-heading h6 {
  font-size: 1.6rem;
  font-weight: 300;
}

.has-margin-right {
  margin-right: 5rem;
}

/*End reusable*/

.cybiator-sign-up {
  text-align: center;
}
.cybiator-sign-up p {
  font-size: 2.6rem;
  padding: 1rem;
}

.cybiator-sign-up .cybiator-join {
  margin: 1rem;
  padding: 1rem 2rem;
  border-radius: 0.3rem;
}

.cybiator-image {
  width: 100%;
  height: 20vh;
  background: url("images/cybiator-bg.png") no-repeat center;
  background-repeat: no-repeat;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  background-position: center;
}

.sign-up-page {
  font-family: sans-serif;
  text-align: center;
  margin-bottom: 4rem;
}

.sign-up-page a {
  font-size: 3rem;
  color: rgb(184, 117, 91);
}

.text-link {
  color: rgb(91, 184, 184);
}

.text-link:hover {
  color: rgb(184, 170, 91);
}

/*Start header*/
header {
  width: 100%;
  height: 100vh;
  background: url("images/landing-bg.png") no-repeat center;
  background-repeat: no-repeat;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  background-position: center;
}

header video {
  top: -20vh;
}

.top-nav {
  width: 100%;
  height: 100vh;
  top: -100vh;
  position: fixed;
  border-bottom-right-radius: 100%;
  border-bottom-left-radius: 100%;
  transition: all 300ms cubic-bezier(1, 0, 0, 1);
  z-index: 100;
  background: url("images/top-nav1.png") no-repeat center;
  background-repeat: no-repeat;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  background-position: center;
  background-color: center;
}

.nav-list {
  list-style: none;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.nav-list i {
  padding: 0 0.4rem;
  color: #ccc;
}

li {
  margin: 0 2rem;
}

.nav-link {
  color: #eee;
  -webkit-text-fill-color: #eee;
  -webkit-text-stroke-width: 0.2rem;
  -webkit-text-stroke-color: #222;
  font-family: sans-serif;
  font-size: 5rem;
  padding: 1rem;
}

.nav-link:hover,
.nav-link:focus {
  background: #999;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.top-nav.open {
  top: 0;
  border-radius: initial;
}

.menu-toggler {
  position: absolute;
  top: 5rem;
  right: 5rem;
  width: 5rem;
  height: 4rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  cursor: pointer;
  z-index: 99999000;
  transition: transform 300ms ease-out;
}

.menu-toggler.open {
  transform: rotate(-45deg);
}

.bar {
  background: #eee;
  width: 100%;
  height: 4px;
  border-radius: 0.8rem;
}
.open .bar.start {
  transform: translate3d(2.5rem, -0.7rem, 0) rotate(100grad);
}

.bar.start {
  transform-origin: left;
  transition: 300ms cubic-bezier(0.54, 0.81, 0.57, 0.57);
}

.open .bar.end {
  transform: translate3d(2.5rem, 0.7rem, 0) rotate(-100grad);
}

.bar.end {
  transform-origin: left;
  transition: 300ms cubic-bezier(0.54, 0.81, 0.57, 0.57);
}

.landing-text {
  position: absolute;
  top: 86%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  text-align: center;
  z-index: 1;
}

/* #landing-text {
  display: none;
} */

.landing-text h1 {
  font-size: 9rem;
  font-family: helmetregular;
  letter-spacing: -0.04em;
  background: rgb(255, 255, 255);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-shadow: 1px 1px 2px #eee;
  user-select: none;
}

.landing-text h6 {
  font-size: 2rem;
  font-weight: 400;
  color: #666;
}

/*End header*/

/*Start about*/
.about .container {
  display: flex;
  align-items: center;
  justify-content: center;
}

.about-heading {
  text-align: center;
  text-transform: uppercase;
  line-height: 0;
  margin-bottom: 6rem;
}

.about-heading h1 {
  font-size: 10rem;
  opacity: 0.3;
}

.about-heading h6 {
  font-size: 2rem;
  font-weight: 300;
}

.profile-img {
  flex: 1;
  margin-right: 5rem;
}

.about-details {
  flex: 1;
}

.social-media {
  margin-top: 5rem;
}

.social-media i {
  font-size: 5rem;
  transition: color 500ms;
}

.fa-facebook-square:hover {
  color: #4267b2;
}
.fa-twitter-square:hover {
  color: #38a1f3;
}
.fa-steam-square:hover {
  color: #666;
}
.fa-instagram:hover {
  color: #333;
}
/*End about*/

/*Start services*/
.my-skills {
  margin-top: 4rem;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  grid-gap: 2.5rem;
  text-align: center;
}

.skill {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 2rem;
  padding-top: 0px;
  padding-bottom: 0px;
}

.skill h1 {
  text-transform: uppercase;
  letter-spacing: 2px;
  margin: 2rem -2px 2rem 0;
}

.icon-container {
  width: 10rem;
  height: 10rem;
  /* border: 3px solid #ccc; */
  border-top: 3px solid #ccc;
  border-right: 3px solid #ccc;
  background-color: #eee;
  margin-bottom: 2rem;
  /* margin-top: 8rem; */
  display: flex;
  transform: rotate(45deg);
}

.icon-container i {
  color: #ccc;
  font-size: 5rem;
  margin: auto;
  transform: rotate(-45deg);
}
/*End services*/

/*Start portfolio*/
.portfolio-item {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 5rem;
}

.portfolio-item:last-child {
  margin-bottom: 0;
}

.portfolio-img {
  flex: 1;
}

.portfolio-description {
  flex: 1;
  margin-right: 2rem;
}

.portfolio-description h1 {
  font-size: 3rem;
  font-weight: 300;
  margin: 1rem 0;
}

.portfolio-description h6 {
  font-size: 1.5rem;
  text-transform: uppercase;
  font-weight: 300;
  opacity: 0.3;
}

.portfolio-description .cta {
  display: inline-block;
  margin-top: 2.5rem;
  font-size: 1.5rem;
  text-transform: uppercase;
  color: #999;
  transition: color 500ms;
}

.portfolio-description .cta:hover {
  color: #ccc;
}
/*End services*/

/*Start contact*/
.contact {
  background-color: #ccc;
}

form {
  width: 70%;
  margin: 0 auto;
}

form label {
  font-size: 1.5rem;
}

input,
select,
textarea {
  width: 100%;
  padding: 1rem;
  margin-bottom: 5px;
  border: none;
  outline-color: #999;
}

input[type="submit"] {
  width: initial;
  font-size: 1.6rem;
  background-color: #999;
  color: #222;
  padding: 1rem 2rem;
  border-radius: 0.8rem;
  cursor: pointer;
  transition: background-color 500ms;
}

input[type="submit"]:hover {
  color: #222;
  background-color: #ccc;
}
/*End contact*/

/*Start footer*/
.copyright {
  width: 100%;
  text-align: center;
  background-color: #ccc;
  color: #222;
  padding: 2rem 0;
  position: relative;
}

.up {
  position: absolute;
  width: 5rem;
  height: 5rem;
  background-color: #eee;
  top: -2.5rem;
  right: 5rem;
  border-radius: 100%;
  display: flex;
  animation: pulse 2s infinite;
  cursor: pointer;
}

.up i {
  color: #16162d;
  font-size: 2rem;
  margin: auto;
}

.copyright p {
  font-size: 1.4rem;
}
/*End footer*/

/*Start animations*/
@keyframes pulse {
  0% {
    box-shadow: 0 0 0 0 rgba(96, 96, 102, 0.99);
  }
  70% {
    box-shadow: 0 0 0 1rem rgba(96, 96, 102, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(96, 96, 102, 0);
  }
}
/*End animations*/

/* Start media queries */

@media screen and (max-width: 768px) {
  body {
    /* background: url("images/sitebg2.jpg") no-repeat center fixed; */
    background-size: cover;
  }
  .landing-text h1 {
    font-size: 7.6rem;
  }
  .landing-text h6 {
    font-size: 1.7rem;
  }
  .nav-list {
    flex-direction: column;
  }

  li {
    margin: 2rem 0;
  }

  .nav-link {
    font-size: 4.5rem;
  }

  .about-heading h1 {
    font-size: 8rem;
  }

  .section-heading h1 {
    font-size: 3rem;
  }

  .about-details .nav-list {
    flex-direction: initial;
  }

  .about-details li {
    margin: 0 2rem;
  }

  .icon-container {
    width: 7rem;
    height: 7rem;
  }

  .icon-container i {
    font-size: 4rem;
  }

  .timeline ul {
    margin: 0 0 0 auto;
  }

  .timeline .date::before {
    left: -20rem;
  }

  .timeline .date::after {
    left: -5.9rem;
  }
}

@media screen and (max-width: 600px) {
  body {
    background-size: cover;
  }
  body {
    /* margin-top: -2rem; */
  }

  .menu-toggler {
    top: 2rem;
    right: 2rem;
  }

  .landing-text h1 {
    font-size: 4.8rem;
  }

  .landing-text h6 {
    font-size: 1.4rem;
  }

  .about .container {
    flex-direction: column;
  }

  .profile-img {
    margin: 0 0 7rem 0;
  }

  .portfolio-item {
    flex-direction: column;
  }

  .portfolio-img {
    margin: 0 0 2rem 0;
    order: 1;
  }

  .portfolio-description {
    margin: 0;
    order: 2;
  }

  .timeline p {
    font-size: 1.6rem;
  }

  .timeline .date::before {
    font-size: 1.4rem;
  }

  form {
    width: 100%;
  }

  .up {
    right: 2rem;
  }
}
/*End media queries*/
